@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@100;300;400;800&display=swap");

*, *::before, *::after{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

body{
    font-family: "Poppins", sans-serif;
    background-color: #333;
}
::selection{
    background-color: #0b372dbb;
}

.logo{
    width: 100px;
}

header{
    position: absolute;
    z-index: 9999;
    width: 100%;
    padding: 0.9rem 0;
    top:0;
    left: 0;
    border-bottom: 1px solid rgba(255,255,255,0.1);
    
    background-color: rgba(0,0,0,0.02);
}

header nav{
    max-width: 1400px;
    margin: 0 auto;
    padding: 0 2rem;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

header ul{
    display: flex;
    list-style: none;
    align-items: center;

}
header ul a{
    text-decoration: none;
    color:#fff;
    text-shadow: #333;
    padding: 0 1.5rem;
    text-transform: uppercase;
    font-weight: 300;
    font-size: 0.83 rem;
}

.search a{
    font-size: 1.05 rem;
    padding: 0 3rem;
}

.hamburger{
    padding-left: 1.5rem;
}

.hamburger a{
    padding: 0;
    width: 37px;
    height: 37px;
    display:flex;
    border-radius: 50%;
    background-color: rgba(115,115,115,0.7);
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);
    justify-content: center;
    align-items: center;

}

.hamburger .bar{
    position:relative;
    width: 52%;
    height: 1.3px;
    background-color: #fff;
    border-radius: 2px;

}

.hamburger .bar::before, .hamburger .bar::after{
    content:"";
    position: absolute;
    left: 50%;
    transform: translate(-50%);
    width: 60%;
    height: 100%;
    background-color: inherit;
    border-radius: 2px;
}

.hamburger .bar::before{
    top: -4.5px;
}
.hamburger .bar::after{
    top: 4.5px;
}

main{
    background-color: #353;
}
.container-parallax{
    position: relative;
    max-height: 1080px;
    max-width: 1920px;
    margin: 0 auto;
    overflow: hidden;
}
@media only screen and (min-width: 1920px){
    .container-parallax{
        
        
        height: 100vh;
        
       
    
    }
}

.something{
    width: 100%;
    height: 800px;
    background-color: #353;
}
.parallax{
    pointer-events: none;
    transition: 0.5s cubic-bezier(.2,.49,.32,.99);
   
}

.bg-img {
    position: absolute;
    width: 2800px;
    top: calc(50% - 318px);
    left: calc(50% + 10px);
    z-index: 1;
}
.fog-7{
    position: absolute;
    z-index: 2;
    width: 1900px;
    top: calc(50% -390px);
    left: calc(50% + 300px);
    
}
.mountain-10{
    position: absolute;
    z-index: 3;
    width: 892px;
    top: calc(50% + 69px);
    left: calc(50% + 230px);
    
}
.fog-6{
    position: absolute;
    z-index: 4;
    width: 2450px;
    top: calc(50% + 85px);
    left: calc(50% + 10px);
  
}
.mountain-9 {
    position: absolute;
    z-index: 5;
    width: 550px;
    top: calc(50% + 170px);
    left: calc(50% - 610px);
}

.mountain-8 {
    position: absolute;
    z-index: 6;
    width: 920px;
    top: calc(50% + 180px);
    left: calc(50% - 202px);
}
.mountain-5 {
    position: absolute;
    z-index: 12;
    width: 625px;
    top: calc(50% + 392px);
    left: calc(50% + 130px);
}
.mountain-7 {
    position: absolute;
    z-index: 8;
    width: 538px;
    top: calc(50% + 155px);
    left: calc(50% + 305px);
}

.text{
    position:absolute;
    z-index: 9;
    top: calc(50% - 100px);
    left: 50%;
    pointer-events: auto;
    text-align: center;
    text-transform: uppercase;
    color: #fff;
}
.text h2{
    font-weight: 100;
    font-size: 6.5rem;
    line-height: 0.88;
}

.text h1{
    font-weight: 800;
    font-size: 8rem;
    line-height: 0.88;
}
.mountain-6 {
    position: absolute;
    z-index: 10;
    width: 408px;
    top: calc(50% + 87px);
    left: calc(50% + 590px);
}
.fog-4{
    position: absolute;
    z-index: 11;
    width: 590px;
    top: calc(50% + 223px);
    left: calc(50% + 60px);
}
.mountain-5 {
    position: absolute;
    z-index: 12;
    width: 625px;
    top: calc(50% + 365px);
    left: calc(50% + 130px);
}
.fog-3 {
    position: absolute;
    z-index: 13;
    width: 1600px;
    top: calc(50% + 160px);
    left: calc(50% - 15px);
}
.mountain-4 {
    position: absolute;
    z-index: 14;
    width: 862px;
    top: calc(50% + 275px);
    left: calc(50% - 450.5px);
}
.mountain-3 {
    position: absolute;
    z-index: 15;
    width: 538px;
    top: calc(50% + 196px);
    left: calc(50% + 831px);
}
.fog-2 {
    position: absolute;
    z-index: 16;
    width: 1604px;
    top: calc(50% + 174px);
    left: calc(50% - 30px);
}
.mountain-2 {
    position: absolute;
    z-index: 17;
    width: 850px;
    top: calc(50% + 257px);
    left: calc(50% + 412px);
}
.mountain-1 {
    position: absolute;
    z-index: 18;
    width: 643px;
    top: calc(50% + 24px);
    left: calc(50% - 820px);
}

.sun-rays{
    position: absolute;
    z-index: 19;
    top: 0;
    right: 0;
    width: 595px;
    pointer-events: none;
}

.black-shadow{
    position: absolute;
    z-index: 20;
    bottom: 0;
    right: 0;
    width: 100%;
    pointer-events: none;
}
.fog-1{
    position: absolute;
    z-index: 21;
    width: 2450px;
    top: calc(100% - 355px);
    left: 50%;
}

.vignette{
    position: absolute;
    z-index: 100;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    background-color: radial-gradient(
        ellipse at center, 
        rgba(0,0,0,0) 65%, 
        rgba(0,0,0,0.7)
    );
    pointer-events: none;
}


@media (max-width: 1100px){
    .text h1{
        font-size: 5.8rem;
    }
    .text h2{
        font-size: 4.7rem;
    }
}

@media (max-width: 725px){
    .text h1{
        font-size: 5rem;
        line-height: 1.1;
    }
    .text h2{
        font-size: 4.1rem;
        line-height: 1.1;
    }

    header nav{
        padding:0 1rem;
    }
    .logo{
        width: 75px;
    }
    header ul a{
        font-size: 0.73 rem;
        padding: 0 0.9rem;

    }
    .search a{
        font-size: 0.85rem;
        padding: 0 1.8rem;
    }
    .hamburger{
        padding-left: 0.9rem;
    }
    .hamburger a{
        height: 30px;
        width: 30px;
    }
}

@media (max-width: 520px){
    .text h1{
        font-size: 3.3rem;
    }
    .text h2{
        font-size: 2.6rem;
    }
}